# libdar::regular_mask Class Reference
[API]

matches regular expressions (see "man 7 regex") More...

`#include <mask.hpp>`

Inherits libdar::mask.

List of all members.

## Public Member Functions
| regular_mask (const std::string &wilde_card_expression, bool x_case_sensit)
| the constructor to be used by libdar external programs
| regular_mask (const regular_mask &ref)
| the copy constructor
regular_mask & | operator= (const regular_mask &ref)
| the assignment operator
virtual | ~regular_mask ()
| destructor
bool | is_covered (const std::string &expression) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class

## Detailed Description

matches regular expressions (see "man 7 regex")

Definition at line 133 of file mask.hpp.

## Constructor & Destructor Documentation

libdar::regular_mask::regular_mask | ( | const std::string & | wilde_card_expression,
|  | bool | x_case_sensit |
| ) |  |  |

the constructor to be used by libdar external programs

Parameters:

  `[in]` | wilde_card_expression | is the regular expression that defines the mask
  `[in]` | x_case_sensit | whether the mask is case sensitive or not

Referenced by clone().

The documentation for this class was generated from the following file:

- mask.hpp